"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalErrorHandler = void 0;
const dino_core_1 = require("dino-core");
const ApplicationEvent_1 = require("./events/ApplicationEvent");
class GlobalErrorHandler extends dino_core_1.ErrorHandler {
    eventProducer;
    constructor(eventProducer) {
        super();
        this.eventProducer = eventProducer;
    }
    handle(error, type) {
        dino_core_1.Logger.error(`${type}, ${error.name} - ${error.message}`);
        this.eventProducer.send(ApplicationEvent_1.ApplicationEvent.create('workloadError', { errorName: error.name, errorMessage: error.message }));
    }
}
exports.GlobalErrorHandler = GlobalErrorHandler;
//# sourceMappingURL=GlobalErrorHandler.js.map