"use strict";
//    Copyright 2018 Quirino Brizi [quirino.brizi@gmail.com]
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientHttpException = void 0;
const http_exception_1 = require("./http.exception");
class ClientHttpException extends http_exception_1.HttpException {
    /**
     * Create a new ClientHttpException
     * @param {number} statusCode the HTTP status code to propagate to the client
     * @param {string} message the message to send to the client
     */
    static create(statusCode, message) {
        return new ClientHttpException(statusCode, message);
    }
}
exports.ClientHttpException = ClientHttpException;
//# sourceMappingURL=client.http.exception.js.map