"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseAdaptorStrategySelector = void 0;
const LambdaResponseAdaptor_1 = require("./adaptors/LambdaResponseAdaptor");
const NoopResponseAdaptor_1 = require("./adaptors/NoopResponseAdaptor");
class ResponseAdaptorStrategySelector {
    select(runtimeContext) {
        if (runtimeContext.isRunningOnAwsLambda()) {
            return new LambdaResponseAdaptor_1.LambdaResponseAdaptor(runtimeContext.getEnvironment());
        }
        return new NoopResponseAdaptor_1.NoopResponseAdaptor();
    }
}
exports.ResponseAdaptorStrategySelector = ResponseAdaptorStrategySelector;
//# sourceMappingURL=ResponseAdaptorStrategySelector.js.map